> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/redivis/redivisusdtable.md).

# redivis$table

### **redivis$**<mark style="color:purple;">**table**</mark>**(name)** → [Table](/api/client-libraries/redivis-r/reference/table.md)

Construct a new table instance. This method can only be called if [default workflow / dataset is set](/api/client-libraries/redivis-r/reference.md#environment-variables)  (this is automatically set within a Redivis notebook to that notebook's workflow).

### **Parameters:**

**`table` :&#x20;*****str*** \
The reference to the table. Can often just be the table's name, but providing additional information in the reference will ensure that your code works if the table is renamed. In Redivis notebooks, the source table of the notebook can always be referenced as `"_source_"`. [Learn more about referencing resources >](/api/referencing-resources.md)

### **Returns:**

[**Table**](/api/client-libraries/redivis-r/reference/table.md)

### Examples

```python
# This assumes that either:
# - The env variable REDIVIS_DEFAULT_DATASET=demo.iris_species (or some other dataset with an "iris" table)
# - Or, that we're running this in a notebook whose workflow contains a table names "iris"
table <- redivis$table("iris")
table$to_tibble()
# 	Id	SepalLengthCm	SepalWidthCm	PetalLengthCm	PetalWidthCm	Species
# 0	33	5.2	        4.1	        1.5	        0.1	        Iris-setosa
# ...

# If in a Redivis notebook, you can always reference the source table as "_source_"
notebook_source_table <- redivis$table("_source_")
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/redivis/redivisusdtable.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
